function simulatebetadistribution(sim::Simulation)
    data=DataFrame(
        hcat(
            betasampling(ensemble3d,M=sim.M,N=sim.N),
            betasampling(ensemble2d,M=sim.M,N=sim.N),
            betasampling(ensemble1d,M=sim.M,N=sim.N)
        ),
        [:dist_3d, :dist_2d, :dist_1d]
    )
    return data
end

function simulatefid(sim::Simulation)
    t=LinRange(sim.t1,sim.t2,sim.nt+1);

    f,err=fid(t, sim.system, M=sim.M, N=sim.N, geterr=sim.geterr)

    data=DataFrame(time=t, 
    num_fid=f, 
    num_err=err
    )

    return data
end