include("../src/simulations.jl")

param_set=[(10,5000),(20,5000),(50,5000),(100,5000), (200,5000)]
phase_set=(π,π/2)
label_set=("pi", "pi/2")

sim_list=[]

N=1000

# 3D

# for (h,M) in param_set
#     for i in 1:2
#         pulse=SquarePulse(h, phase_set[i]/h, [1,0,0])
#         sim=Simulation(system=ensemble3d,
#         h=pulse,
#         M=M, N=N, nt=400,
#         description="Sampling of driving error, 3D, h=$h, $(label_set[i]) pulse", 
#         outdir=DATADIR*"err_driving/",
#         execution=simulatedrivingerror)
#         execute(sim)
#         append!(id_list,id(sim))
#     end
# end

# #2D 

# for (h,M) in param_set
#     for i in 1:2
#         pulse=SquarePulse(h, phase_set[i]/h, [1,0,0])
#         sim=Simulation(system=ensemble2d,
#         h=pulse,
#         M=M, N=N, nt=400,
#         description="Sampling of driving error, 2D, h=$h, $(label_set[i]) pulse", 
#         outdir=DATADIR*"err_driving/",
#         execution=simulatedrivingerror)
#         push!(sim_list,sim)
#     end
# end


# #1D 

for (h,M) in param_set
    for i in 1:2
        pulse=SquarePulse(h, phase_set[i]/h, [1,0,0])
        sim=Simulation(system=ensemble1d,
        h=pulse,
        M=5000, N=1000, nt=400,
        description="Sampling of driving error, 1D, h=$h, $(label_set[i]) pulse, X", 
        outdir=DATADIR*"err_driving/",
        execution=simulatedrivingerror)
        push!(sim_list,sim)
    end
end

# for (h,M) in param_set
#     for i in 1:2
#         pulse=SquarePulse(h, phase_set[i]/h, [0,1,0])
#         sim=Simulation(system=ensemble1d,
#         h=pulse,
#         M=M, N=N, nt=400,
#         description="Sampling of driving error, 1D, h=$h, $(label_set[i]) pulse, Y", 
#         outdir=DATADIR*"err_driving/",
#         execution=simulatedrivingerror)
#         push!(sim_list,sim)
#     end
# end

id_list=map(id, sim_list)
println(id_list)
@assert length(unique(id_list))==10
map(execute, sim_list)