include("../src/simulations.jl")

nt=300; M=3000; N=1000;

sim3d=Simulation(
    system=ensemble3d,
    h=0,
    t1=0,
    t2=3,
    nt=nt,
    M=M,
    N=N,
    geterr=true,
    description="3D, normalized FID",
    execution=simulatefid
)

sim2d=Simulation(
    system=ensemble2d,
    h=0,
    t1=0,
    t2=3,
    nt=nt,
    M=M,
    N=N,
    geterr=true,
    description="2D, normalized FID",
    execution=simulatefid
)


sim1d=Simulation(
    system=ensemble1d=SpinEnsemble(0.517188,1,[0,0,1],0.05,200,:spherical),
    h=0,
    t1=0,
    t2=3,
    nt=nt,
    M=M,
    N=N,
    geterr=true,
    description="1D, normalized FID",
    execution=simulatefid
)

# execute(sim3d)
# execute(sim2d)
execute(sim1d)

