include("../src/simulations.jl")

sub_dir="gate_fidelity/"


h_list=range(20,201,20)#[20,40,]
resol=100
M=3000; N=1000;
execfunc=simulatedrivingfidelity

param_set=zip(h_list, h_list.^2)
# param_set=zip(h_list, M*ones(size(h_list)))
# 3D

for (h,M) in param_set
    sim=Simulation(system=ensemble3d,
    h=h,t1=0,t2=π/h*1.5, dt=pi/(resol*h),
    M=M, N=N,
    description="Sampling of driving fidelity, 3D, h=$h", 
    outdir=DATADIR*sub_dir,
    execution=execfunc)
    execute(sim)
end


# 2D 
for (h,M) in param_set
    sim=Simulation(system=ensemble2d,
    h=h,t1=0,t2=π/h*1.5, dt=pi/(resol*h),
    M=M, N=N,
    description="Sampling of driving fidelity, 2D, h=$h", 
    outdir=DATADIR*sub_dir,
    execution=execfunc)
    execute(sim)
end

# 1D 
for (h,M) in param_set
    sim=Simulation(system=ensemble1d,
    h=h,t1=0,t2=π/h*1.5, dt=pi/(resol*h),
    M=M, N=N,
    description="Sampling of driving fidelity, 1D, h=$h", 
    outdir=DATADIR*sub_dir,
    execution=execfunc)
    execute(sim)
end
