include("../src/simulations.jl")
import Random: shuffle!

@time cache=readsimulation("c57742e83b8adcc0", "field_dist/", verbose=false)
shuffle!(cache.dist_3d)
shuffle!(cache.dist_2d)
shuffle!(cache.dist_1d)

println("cache loaded!")

sim_list=[]
sub_dir="sequence_fidelity/XY_fidelity/"
tp=pi/200
τ_list=[0.5]*tp
h_list=[50,100,200,400,500]
M=convert(Int, 1e6)
samplefidelity(sim::Simulation)=samplefidelity(sim, xyfidelity)
# 3D

for τ in τ_list
    sim=Simulation(system=ensemble3d,
    h=h_list,
    dt=τ,
    M=M,
    description="XY fidelity, 3D, h=$(h_list), τ=$τ", 
    outdir=DATADIR*sub_dir,
    cache=true,
    execution=samplefidelity)
    push!(sim_list,sim)
end

# 2D

for τ in τ_list
    sim=Simulation(system=ensemble2d,
    h=h_list,
    dt=τ,
    M=M,
    description="XY fidelity, 2D, h=$(h_list), τ=$τ", 
    outdir=DATADIR*sub_dir,
    cache=true,
    execution=samplefidelity)
    push!(sim_list,sim)
end

# 1D

for τ in τ_list
    sim=Simulation(system=ensemble1d,
    h=h_list,
    dt=τ,
    M=M,
    description="XY fidelity, 1D, h=$(h_list), τ=$τ", 
    outdir=DATADIR*sub_dir,
    cache=true,
    execution=samplefidelity)
    push!(sim_list,sim)
end


id_list=map(id, sim_list)
println(id_list)
@assert length(unique(id_list))==length(τ_list)*3
map(execute, sim_list)